package nl.iobyte.themeparkconnector.api.client.objects;

import nl.iobyte.themeparkconnector.ThemeParkConnector;
import nl.iobyte.themeparkconnector.api.client.ClientConnection;
import nl.iobyte.themeparkconnector.api.network.packet.NotificationPacket;

public class Notification {

    private String title, message;

    public Notification(String title, String message) {
        this.title = title;
        this.message = message;
    }

    /**
     * Get Title of Notification
     * @return String
     */
    public String getTitle() {
        return title;
    }

    /**
     * Set Title of Notification
     * @param title String
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * Get Message of Notification
     * @return String
     */
    public String getMessage() {
        return message;
    }

    /**
     * Set Message of Notification
     * @param message String
     */
    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * Send Notification to client
     * @param client ClientConnection
     */
    public void send(ClientConnection client) {
        ThemeParkConnector.getInstance().getAPI().getNetworkingService().send(client, new NotificationPacket(this));
    }

}
