package nl.iobyte.themeparkconnector.api.packet.handlers;

import nl.iobyte.themeparkconnector.ThemeParkConnector;
import nl.iobyte.themeparkconnector.api.client.ClientConnection;
import nl.iobyte.themeparkconnector.api.packet.objects.PayloadHandler;
import nl.iobyte.themeparkconnector.api.packet.payloads.ClientDisconnectPayload;

public class ClientDisconnectHandler extends PayloadHandler<ClientDisconnectPayload> {

    /**
     * Player closed connection with ThemeParkConnector
     * @param payload ClientDisconnectPayload
     */
    public void onReceive(ClientDisconnectPayload payload) {
        ClientConnection connection = ThemeParkConnector.getInstance().getAPI().getNetworkingService().getClient(payload.getUUID());
        if(connection == null)
            return;

        connection.onDisconnect();
        ThemeParkConnector.getInstance().getAPI().getOperatorService().stopOperating(payload.getUUID());
    }

}
