package nl.iobyte.themeparkconnector.api.packet.objects;

import nl.iobyte.themeparkconnector.api.packet.enums.PacketChannel;

public class AbstractPacket {

    private String channel;
    private AbstractPacketPayload data;

    public AbstractPacket(PacketChannel channel, AbstractPacketPayload data) {
        this(channel.toString(), data);
    }

    public AbstractPacket(String channel, AbstractPacketPayload data) {
        this.channel = channel;
        this.data = data;
    }

    /**
     * Get packet channel
     * @return PacketChannel
     */
    public String getChannel() {
        return channel;
    }

    /**
     * Get payload data
     * @return AbstractPacketPayload
     */
    public AbstractPacketPayload getData() {
        return data;
    }

}
