package nl.iobyte.themeparkconnector.commands;

import nl.iobyte.commandapi.CommandFactory;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.middlewares.PermissionMiddleware;
import nl.iobyte.themepark.commands.executors.ConsoleExecutor;
import nl.iobyte.themepark.commands.executors.PlayerExecutor;
import nl.iobyte.themeparkconnector.ThemeParkConnector;
import nl.iobyte.themeparkconnector.commands.subcommands.*;
import nl.iobyte.themeparkconnector.commands.subcommands.operator.OperatorCommands;
import org.bukkit.entity.Player;

import java.util.Objects;

public class ThemeParkConnectorCommand {

    //Load command data
    public ThemeParkConnectorCommand() {
        CommandFactory factory = new CommandFactory("themeparkconnector");
        factory.addSubCommand(new HelpCommand(factory))
                .addSubCommand(new ConnectCommand())
                .addSubCommand(new VoucherCommand());

        //Admin
        factory.addSubCommand(new StatusCommand())
                .addSubCommand(new VoucherCommand())
                .addSubCommand(new DisconnectCommand());

        //Operator
        OperatorCommands.load(factory);

        //Middleware
        factory.addMiddleware(new PermissionMiddleware());

        //Register command
        Objects.requireNonNull(ThemeParkConnector.getInstance().getCommand(factory.getName())).setExecutor((sender, command, s, args) -> {
            ICommandExecutor executor = new ConsoleExecutor(sender);
            if(sender instanceof Player)
                executor = new PlayerExecutor((Player) sender);

            factory.onCommand(executor, args);
            return true;
        });
    }

}
